
// sRGB_vector.hpp - sRGB color space conversion utilities

#ifndef __sRGB_vector_hpp__
#define __sRGB_vector_hpp__

#if defined(_MSC_VER) && (_MSC_VER >= 1020)
# pragma once
#endif

#include <Cg/vector/rgba.hpp>
#include <Cg/vector.hpp>

using namespace Cg;

extern float3 srgb2linear(const float srgb[3]);
extern float3 linear2srgb(const float linear[3]);
extern float4 srgba2linear(const float srgb[4]);
extern float4 linear2srgba(const float linear[4]);

extern float3 srgb2linear(float3 srgb);
extern float3 linear2srgb(float3 linear);
extern float4 srgba2linear(float4 srgb);
extern float4 linear2srgba(float4 linear);

#endif // __sRGB_vector_hpp__
